RedBoot User's Guide
Prev |  | Next

# fs write

## Name

fs write -- Write to filesystem

## Synopsis

fs write [-b `mem_address`] [-l `length`] {name}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`mem_address` | Number | Address of data to be written to flash. | Address of last loaded file. If not set by a load operation it must be specified.
`length` | Number | Length of data to be written. | Length of last loaded file.
`name` | String | Name of file to create. |

## Description

This command is used to write data from memory to a file. If the file does not exist it will be created. If it does exist, then it will be overwritten with the new contents.

## Examples

Write an area of data to a file

    RedBoot> fs write -b 0x0606f000 -l 0x1000 image
    RedBoot> fs list
    212416 d---------  3 size    128 .
    212416 d---------  3 size    128 ..
    211392 ----------  1 size   4096 image
    206784 d---------  2 size     96 tests
    RedBoot>

Prev | Home | Next
fs list | Up | Persistent State Flash-based Configuration and Control